/*
   Program:  GMONTH()
   Author:   Greg Lief
   Copyright (c) 1991 Greg Lief
   Dialect:  Clipper 5.0
   Excerpted from Grumpfish Library
   Compile instructions: clipper gmonth /n /w [ /dBRITISH ]
*/

function GMonth(mdate)
local buffer := substr(set(_SET_DATEFORMAT), 1, 8)
mdate := if(mdate == NIL, date(), mdate)
do case
   /*
      SET DATE BRITISH or FRENCH -- in memory of my Swiss grandmother,
      I use French for the default -- if you want to change this,
      just recompile this PRG with the following command-line syntax:
         clipper gmonth /n/dBRITISH
   */
   case substr(buffer, 1, 8) == "dd/mm/yy"
      #ifdef BRITISH
         buffer := cmonth(mdate)
      #else
         buffer := {'Janvier', 'Fevrier', 'Mars', 'Avril', 'Mai', 'Juin', ;
                     'Juillet', 'Aout', 'Septembre', 'Octobre', 'Novembre', ;
                     'Decembre' }[month(mdate)]
      #endif

   /* SET DATE GERMAN */
   case substr(buffer, 1, 8) == "dd.mm.yy"
      buffer := {'Januar', 'Februar', 'Mrz', 'April', 'Mai', 'Juni', ;
                  'Juli', 'August', 'September', 'Oktober', 'November', ;
                  'Dezember' }[month(mdate)]

   otherwise
      buffer := cmonth(mdate)
endcase
return buffer

* end function GMonth()
*--------------------------------------------------------------------*

* eof gmonth.prg
